Subject: bug#37685: 27.0.50; Value of tab-bar-close/new-button calculated incorrectly

From: Juri Linkov <[email-masked]>
Date: Tue, 15 Oct 2019 22:45:52 +0300

> It appears that the values of both tab-bar-close-button and
> tab-bar-new-button get calculated incorrectly somehow. Instead of using
> data-directory (which is
> "/nix/store/jg7i2xsp7lzas52cc3c6i0fv6hjx8rp1-emacs-27.0.50/share/emacs/27.0.50/etc/"
> for me), they use "/build/source/etc/images/tabs/". This results in the
> buttons close/open buttons showing and many thousands of messages about
> it.
>
> Re-evaluating the default expression once Emacs starts fixes the issue.
>
> Recent messages:
> Cannot find image file ‘/build/source/etc/images/tabs/close.xpm’
> Cannot find image file ‘/build/source/etc/images/tabs/new.xpm’
> Cannot find image file ‘/build/source/etc/images/tabs/close.xpm’
> Cannot find image file ‘/build/source/etc/images/tabs/new.xpm’
> Cannot find image file ‘/build/source/etc/images/tabs/close.xpm’
> Cannot find image file ‘/build/source/etc/images/tabs/new.xpm’
> Cannot find image file ‘/build/source/etc/images/tabs/close.xpm’ [2 times]
> Cannot find image file ‘/build/source/etc/images/tabs/new.xpm’
> Cannot find image file ‘/build/source/etc/images/tabs/close.xpm’ [2 times]
> Cannot find image file ‘/build/source/etc/images/tabs/new.xpm’

Like Eli suggested to compute the value at run time the first time
the tab bar is activated, this was changed accordingly.
Please see if this is really fixed for you.